- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# MComponentDataIndexing Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Class for storing index mapping when vertices are shared.

`#include <MComponentDataIndexing.h>`

List of all members.

## Public Member Functions
MUintArray & | indices ()
| Get the array of vertex indices for the component.
const MUintArray & | indices () const
| Get the array of vertex indices for the component.
const MComponentType | componentType () const
| Get the component type that the vertex indices represent.
void | setComponentType (MComponentType type)
| Set the component type that the vertex indices represent.

## Member Function Documentation

MUintArray & indices | ( |  | ) |

Search for all occurrences

Get the array of vertex indices for the component.

Returns:
  The array of vertex indices.

const MUintArray & indices | ( |  | ) | const

Search for all occurrences

Get the array of vertex indices for the component.

Returns:
  The array of vertex indices.

const MComponentDataIndexing::MComponentType componentType | ( |  | ) | const

Search for all occurrences

Get the component type that the vertex indices represent.

Returns:
  The component type.

void setComponentType | ( | MComponentDataIndexing::MComponentType | type | ) |

Search for all occurrences

Set the component type that the vertex indices represent.

Parameters:

  [in] | type | The component type.

MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing
MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing MComponentDataIndexing